现在位置:首页 » 包含标签 laravel 的所有文章

[转]10个Laravel4开发人员必用扩展包

日期:2015年10月09日 ⁄ 分类: php/mysql ⁄ 围观:144 ⁄ 评论:0 ⁄ 引用:0
Laravel是一个新的基于最新PHP版本语法,支持IoC等设计模式的快速开发框架。目前最新版本为4.2,推荐安装PHP版本5.5+。 本文列举10个基本软件包,都是开发人员使用Laravel框架来构建WEB应用过程中应该要用到的,无需自己重复构建,如认证、调试、网站优化。 代码生成器(Laravel Generators) 使用简单的命令行就可以自动根据代码模板生成Model/View/Controller代码以及模块(Module)。 IDE帮手(Laravel IDE Helper) 可以让你的IDE能够支持语法自动补足(accurate complemen...

阅读全文>>


laravel 学习笔记2 - 开发

日期:2015年07月06日 ⁄ 分类: php/mysql ⁄ 围观:300 ⁄ 评论:0 ⁄ 引用:0
参考 http://www.golaravel.com/ 设置自己的config文件 以5.1为例,在/app下建立文件,里面是json格式的数组,这样就可以自动加载并调用了 调用格式 config('condif_file_name.key') 比如 自己建立的文件名是 common_config.php 则调用为 config('common_config.some_key') 解耦 laravel大量运用依赖注入,所以他核心文件其实并不多。为了达...

阅读全文>>


解决Win下运行php Composer出现SSL报错的问题

日期:2015年07月02日 ⁄ 分类: php/mysql ⁄ 围观:161 ⁄ 评论:0 ⁄ 引用:0
以前都在linux环境使用php composer。今天尝试在win下运行composer却出现SSL报错:   [Composer\Downloader\TransportException]   The "https://packagist.org/packages.json" file could not be downloaded: SSL    operation failed with code 1. OpenSSL Error messages:   error:14090086:SSL routines:SSL3_G...

阅读全文>>


laravel 学习笔记1 - 准备工作

日期:2015年07月01日 ⁄ 分类: php/mysql ⁄ 围观:200 ⁄ 评论:0 ⁄ 引用:0
以windows为例 1.下载composer  ==>  https://getcomposer.org/download/ 2.把运行环境配置成符合运行最低需求。比如laravel5.1需要php版本>=5.4,要若干扩展 3.把php路径添加到系统path中  名词解释 composer ,官方说法是“ Composer 是 PHP 的一个依赖管理工具。” 个人认为,composer 下载下来的,我翻译叫“包”,或者类库。当然是符合c...

阅读全文>>


lumen学习笔记 1

日期:2015年05月26日 ⁄ 分类: php/mysql ⁄ 围观:418 ⁄ 评论:0 ⁄ 引用:0
文档 http://lumen.laravel-china.org/ http://lumen.golaravel.com/ (汉化不是很完整) 1.下载 因为 composer比较麻烦,所以直接从github里面下载了 https://github.com/overtrue/latest-lumen 2.记得查看 README.md master 也就是目前的 5.*, 对应包名: lumen-master.tar.gz develop 开发版,对应包名:lumen-d...

阅读全文>>